MyGUI 3.2.2

Public Types | Public Member Functions
MyGUI::delegates::CMultiDelegate1< TP1 > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CMultiDelegate1< TP1 >:
[legend]

## Public Types
typedef IDelegate1< TP1 > | IDelegate
typedef std::list< IDelegate *> | ListDelegate
typedef ListDelegate::iterator | ListDelegateIterator
typedef ListDelegate::const_iterator | ConstListDelegateIterator

## Public Member Functions
| CMultiDelegate1 ()
| ~ CMultiDelegate1 ()
bool | empty () const
void | clear ()
void | clear (IDelegateUnlink *_unlink)
CMultiDelegate1< TP1 > & | operator+= (IDelegate *_delegate)
CMultiDelegate1< TP1 > & | operator-= (IDelegate *_delegate)
void | operator() (TP1 p1)
| CMultiDelegate1 (const CMultiDelegate1< TP1 > &_event)
CMultiDelegate1< TP1 > & | operator= (const CMultiDelegate1< TP1 > &_event)
CMultiDelegate1< TP1 > & | operator= (IDelegate *_delegate)

## Detailed Description

### template<typename TP1>
class MyGUI::delegates::CMultiDelegate1< TP1 >

Definition at line 203 of file MyGUI_Delegate.h.

## Member Typedef Documentation

## ◆ ConstListDelegateIterator

template<typename TP1>

typedef ListDelegate::const_iterator MyGUI::delegates::CMultiDelegate1< TP1 >::ConstListDelegateIterator

Definition at line 209 of file MyGUI_Delegate.h.

## ◆ IDelegate

template<typename TP1>

typedef IDelegate1<TP1> MyGUI::delegates::CMultiDelegate1< TP1 >::IDelegate

Definition at line 206 of file MyGUI_Delegate.h.

## ◆ ListDelegate

template<typename TP1>

typedef std::list<IDelegate* > MyGUI::delegates::CMultiDelegate1< TP1 >::ListDelegate

Definition at line 207 of file MyGUI_Delegate.h.

## ◆ ListDelegateIterator

template<typename TP1>

typedef ListDelegate::iterator MyGUI::delegates::CMultiDelegate1< TP1 >::ListDelegateIterator

Definition at line 208 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

## ◆ CMultiDelegate1() [1/2]

template<typename TP1>

MyGUI::delegates::CMultiDelegate1< TP1 >::CMultiDelegate1 | ( |  | ) |
| inline

Definition at line 211 of file MyGUI_Delegate.h.

## ◆ ~ CMultiDelegate1()

template<typename TP1>

MyGUI::delegates::CMultiDelegate1< TP1 >::~ CMultiDelegate1 | ( |  | ) |
| inline

Definition at line 212 of file MyGUI_Delegate.h.

## ◆ CMultiDelegate1() [2/2]

template<typename TP1>

MyGUI::delegates::CMultiDelegate1< TP1 >::CMultiDelegate1 | ( | const CMultiDelegate1< TP1 > & | _event | ) |
| inline

Definition at line 296 of file MyGUI_Delegate.h.

## Member Function Documentation

## ◆ clear() [1/2]

template<typename TP1>

void MyGUI::delegates::CMultiDelegate1< TP1 >::clear | ( |  | ) |
| inline

Definition at line 226 of file MyGUI_Delegate.h.

## ◆ clear() [2/2]

template<typename TP1>

void MyGUI::delegates::CMultiDelegate1< TP1 >::clear | ( | IDelegateUnlink * | _unlink | ) |
| inline

Definition at line 238 of file MyGUI_Delegate.h.

## ◆ empty()

template<typename TP1>

bool MyGUI::delegates::CMultiDelegate1< TP1 >::empty | ( |  | ) | const
| inline

Definition at line 217 of file MyGUI_Delegate.h.

## ◆ operator()()

template<typename TP1>

void MyGUI::delegates::CMultiDelegate1< TP1 >::operator() | ( | TP1 | p1 | ) |
| inline

Definition at line 279 of file MyGUI_Delegate.h.

## ◆ operator+=()

template<typename TP1>

CMultiDelegate1<TP1>& MyGUI::delegates::CMultiDelegate1< TP1 >::operator+= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 250 of file MyGUI_Delegate.h.

## ◆ operator-=()

template<typename TP1>

CMultiDelegate1<TP1>& MyGUI::delegates::CMultiDelegate1< TP1 >::operator-= | ( | IDelegate * | _delegate | ) |
| inline

Definition at line 263 of file MyGUI_Delegate.h.

## ◆ operator=() [1/2]

template<typename TP1>

CMultiDelegate1<TP1>& MyGUI::delegates::CMultiDelegate1< TP1 >::operator= | ( | const CMultiDelegate1< TP1 > & | _event | ) |
| inline

Definition at line 307 of file MyGUI_Delegate.h.

## ◆ operator=() [2/2]

template<typename TP1>

CMultiDelegate1<TP1>& MyGUI::delegates::CMultiDelegate1< TP1 >::operator= | ( | IDelegate * | _delegate | ) |
| inline

Deprecated:
  "use : operator += "

Definition at line 321 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h